API ReferenceTickets
List tickets
Returns a paginated list of all tickets managed by Iden in your organization.
Authorization
ApiKeyAuth Authorization<token>
API key authentication. Format: Api-Key <your_api_key>
In: header
Query Parameters
app?string
Filter by app external UUID (exact match)
Format
uuidlimit?integer
Number of results to return per page.
offset?integer
The initial index from which to return the results.
requester?string
Filter by creator external UUID (exact match)
Format
uuidticket_status?string
Filter by ticket status (exact match)
PENDING- Awaiting approval from reviewersAPPROVED- All required approvals obtainedREJECTED- Denied by one or more reviewersEXPIRED- Approval window closed for access extensionCANCELED- The request was cancelled
Value in
"APPROVED" | "CANCELED" | "EXPIRED" | "PENDING" | "REJECTED"Response Body
application/json
curl -X GET "https://developer.idenhq.com/org/{tenant_slug}/api/tickets/"{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"external_uuid": "ac0116b9-f581-403e-b8c2-fa4601b86b8a",
"label": "string",
"type": "string",
"app": {
"external_uuid": "ac0116b9-f581-403e-b8c2-fa4601b86b8a",
"name": "string",
"connection": {
"external_uuid": "ac0116b9-f581-403e-b8c2-fa4601b86b8a",
"display_name": "string",
"unique_identifier": "string"
}
},
"requester": {
"external_uuid": "ac0116b9-f581-403e-b8c2-fa4601b86b8a",
"email": "user@example.com"
},
"app_user": {
"external_uuid": "ac0116b9-f581-403e-b8c2-fa4601b86b8a",
"email": "user@example.com"
},
"ticket_status": "PENDING",
"start_time": "2019-08-24T14:15:22Z",
"end_time": "2019-08-24T14:15:22Z",
"initial_comment": "string"
}
]
}